tweener.hpp File Reference

A tweener makes a value to evolve through time from a initial value to an end value according to a given function. More...

`#include <algorithm>`
`#include <boost/function.hpp>`

Go to the source code of this file.

## Classes

class | claw::tween::tweener
| A tweener makes a value to evolve through time from a initial value to an end value according to a given function. More...

## Namespaces

namespace | claw
| This is the main namespace.
namespace | claw::tween
| Tweeners interpolate the intermediate values between two given reference values using various equations.

## Functions

template<>
void | std::swap (claw::tween::tweener &a, claw::tween::tweener &b)
| Swap two tweeners.

## Detailed Description

A tweener makes a value to evolve through time from a initial value to an end value according to a given function.

Author
  Julien Jorge

Definition in file tweener.hpp.

## Function Documentation

## swap()

template<>

void std::swap | ( | claw::tween::tweener & | a,
|  | claw::tween::tweener & | b )

Swap two tweeners.

Parameters

  a | The first tweener.
  b | The second tweener.

Definition at line 138 of file tweener.cpp.

References claw::tween::tweener::swap().